package twi

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type TwiActFinishRouter struct {
}

// InitTwiActFinishRouter 初始化 TwiActFinish 路由信息
func (s *TwiActFinishRouter) InitTwiActFinishRouter(Router *gin.RouterGroup) {
	twiActFinishRouter := Router.Group("twiActFinish").Use(middleware.OperationRecord())
	twiActFinishRouterWithoutRecord := Router.Group("twiActFinish")
	var twiActFinishApi = v1.ApiGroupApp.TwiApiGroup.TwiActFinishApi
	{
		twiActFinishRouter.POST("createTwiActFinish", twiActFinishApi.CreateTwiActFinish)   // 新建TwiActFinish
		twiActFinishRouter.DELETE("deleteTwiActFinish", twiActFinishApi.DeleteTwiActFinish) // 删除TwiActFinish
		twiActFinishRouter.DELETE("deleteTwiActFinishByIds", twiActFinishApi.DeleteTwiActFinishByIds) // 批量删除TwiActFinish
		twiActFinishRouter.PUT("updateTwiActFinish", twiActFinishApi.UpdateTwiActFinish)    // 更新TwiActFinish
	}
	{
		twiActFinishRouterWithoutRecord.GET("findTwiActFinish", twiActFinishApi.FindTwiActFinish)        // 根据ID获取TwiActFinish
		twiActFinishRouterWithoutRecord.GET("getTwiActFinishList", twiActFinishApi.GetTwiActFinishList)  // 获取TwiActFinish列表
	}
}
